Skip to main content
GET
/
usage
Get Usage
curl --request GET \
  --url https://api.example.com/usage \
  --header 'Authorization: Bearer <token>'
{
  "plan_type": "free",
  "period": "<string>",
  "session_count": 123,
  "function_count": 123,
  "browser_usage_cost": 123,
  "proxy_usage_cost": 123,
  "llm_usage_cost": 123,
  "function_usage_cost": 123,
  "total_cost": 123,
  "subscription_limit_amount": 123,
  "topup_limit_amount": 123,
  "subscription_balance_amount": 123,
  "topup_balance_amount": 123,
  "balance_amount": 123,
  "is_usage_limit_exceeded": true
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-notte-request-origin
string | null
x-notte-sdk-version
string | null

Query Parameters

period
string | null

The montly period to get usage for, i.e May 2025

Response

Successful Response

plan_type
required
Available options:
free,
pro,
growth,
playground,
admin,
minoan,
proofs,
interview
period
string
required
session_count
integer
required
function_count
integer
required
browser_usage_cost
number
required
proxy_usage_cost
number
required
llm_usage_cost
number
required
function_usage_cost
number
required
total_cost
number
required
subscription_limit_amount
number
required
topup_limit_amount
number
required
subscription_balance_amount
number
required
topup_balance_amount
number
required
balance_amount
number
required
is_usage_limit_exceeded
boolean
required